ros-rolling-rosidl-runtime-c (4.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Apr 2025 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.9.4-1noble) noble; urgency=high

  * Switch to ament_cmake_ros_core package (#856 <https://github.com/ros2/rosidl/issues/856>)
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Apr 2025 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 20 Dec 2024 06:00:00 -0000

ros-rolling-rosidl-runtime-c (4.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Nov 2024 06:00:00 -0000

ros-rolling-rosidl-runtime-c (4.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 20 Nov 2024 06:00:00 -0000

ros-rolling-rosidl-runtime-c (4.9.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 03 Oct 2024 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jun 2024 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.8.0-1noble) noble; urgency=high

  * Implement resize function for String (#806 <https://github.com/ros2/rosidl/issues/806>)
  * Fix u16 docs and improve docs formatting (#805 <https://github.com/ros2/rosidl/issues/805>)
  * Contributors: Christophe Bedard, WATANABE Aoi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.7.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.5.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 06:00:00 -0000

ros-rolling-rosidl-runtime-c (4.5.0-1noble) noble; urgency=high

  * Switch to target_link_libraries. (#776 <https://github.com/ros2/rosidl/issues/776>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 06:00:00 -0000

ros-rolling-rosidl-runtime-c (4.4.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-rosidl-runtime-c (4.4.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.3.1-1noble) noble; urgency=high

  * Set the C++ version to 17. (#761 <https://github.com/ros2/rosidl/issues/761>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.1.1-1noble) noble; urgency=high

  * Mark _ in benchmark tests as unused. (#741 <https://github.com/ros2/rosidl/issues/741>)
    This helps clang static analysis.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (4.0.0-1noble) noble; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rosidl (#737 <https://github.com/ros2/rosidl/issues/737>)
  * Runtime Interface Reflection: rosidl (#728 <https://github.com/ros2/rosidl/issues/728>)
  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Copied type_description_interfaces structs (rep2011) (#732 <https://github.com/ros2/rosidl/issues/732>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.4.0-1noble) noble; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 06:00:00 -0000

ros-rolling-rosidl-runtime-c (3.3.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 08 Sep 2022 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 21 Jun 2022 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 May 2022 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.1.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.1.2-1noble) noble; urgency=high

  * Fix error handling when copying C sequence messages (#671 <https://github.com/ros2/rosidl/issues/671>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.1.1-1noble) noble; urgency=high

  * Set the output size unconditionally when copying sequences (#669 <https://github.com/ros2/rosidl/issues/669>)
  * Contributors: Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-rolling-rosidl-runtime-c (3.1.0-1noble) noble; urgency=high

  * De-duplicate Quality Level from README and QUALITY_DECLARATION (#661 <https://github.com/ros2/rosidl/issues/661>)
  * Install headers to include/${PROJECT_NAME} (#658 <https://github.com/ros2/rosidl/issues/658>)
  * Implement copy function for C messages (#650 <https://github.com/ros2/rosidl/issues/650>)
  * Implement equality operator function for C messages. (#648 <https://github.com/ros2/rosidl/issues/648>)
  * Contributors: Jose Luis Rivero, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-rosidl-runtime-c (3.0.1-1noble) noble; urgency=high

  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Øystein Sture

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 06:00:00 -0000

ros-rolling-rosidl-runtime-c (3.0.0-1noble) noble; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 05 Nov 2021 05:00:00 -0000

ros-rolling-rosidl-runtime-c (2.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 05:00:00 -0000

ros-rolling-rosidl-runtime-c (2.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jul 2021 05:00:00 -0000

ros-rolling-rosidl-runtime-c (2.3.0-1noble) noble; urgency=high

  * Use RCUtils allocators in rosidl_generator_c (#584 <https://github.com/ros2/rosidl/issues/584>)
  * Contributors: Pablo Garrido

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 11 Jun 2021 05:00:00 -0000

ros-rolling-rosidl-runtime-c (2.2.1-1noble) noble; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#581 <https://github.com/ros2/rosidl/issues/581>)
  * Contributors: shonigmann

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-rolling-rosidl-runtime-c (2.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-rolling-rosidl-runtime-c (2.1.0-1noble) noble; urgency=high

  * Shorten some excessively long lines of CMake (#571 <https://github.com/ros2/rosidl/issues/571>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 09 Mar 2021 06:00:00 -0000

ros-rolling-rosidl-runtime-c (2.0.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-rosidl-runtime-c (2.0.2-1noble) noble; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Fix item number in QD (#546 <https://github.com/ros2/rosidl/issues/546>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Louise Poubel, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-rolling-rosidl-runtime-c (2.0.1-1noble) noble; urgency=high

  * Add rcutils dependency. (#534 <https://github.com/ros2/rosidl/issues/534>)
  * QD: Add links to hosted API docs (#533 <https://github.com/ros2/rosidl/issues/533>)
  * Updated Quality Level to 1 (#532 <https://github.com/ros2/rosidl/issues/532>)
  * Add benchmarks for rosidl_runtime_* packages (#521 <https://github.com/ros2/rosidl/issues/521>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Louise Poubel, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Sep 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (2.0.0-1noble) noble; urgency=high

  * Fix the declared language for a few packages (#530 <https://github.com/ros2/rosidl/issues/530>)
  * Add fault injection macros and test (#509 <https://github.com/ros2/rosidl/issues/509>)
  * Contributors: Scott K Logan, brawner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Sep 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (1.1.0-1noble) noble; urgency=high

  * Update rosidl_runtime_c QD to QL 2 (#500 <https://github.com/ros2/rosidl/issues/500>)
  * Contributors: Stephen Brawner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Aug 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (1.0.1-1noble) noble; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#494 <https://github.com/ros2/rosidl/issues/494>)
  * QD Update Version Stability to stable version (#495 <https://github.com/ros2/rosidl/issues/495>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 03 Jun 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (1.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 22 May 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.9.2-1noble) noble; urgency=high

  * Update API documentation (#488 <https://github.com/ros2/rosidl/issues/488>)
  * Add tests (#484 <https://github.com/ros2/rosidl/issues/484>)
  * Add feature documentation (#482 <https://github.com/ros2/rosidl/issues/482>)
  * Contributors: brawner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 May 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.9.1-1noble) noble; urgency=high

  * Package READMEs and QUALITY_DECLARATIONS for runtime packages (#480 <https://github.com/ros2/rosidl/issues/480>)
  * Documentation: action, message, service typesupport and message bounds (#472 <https://github.com/ros2/rosidl/issues/472>)
  * Added doxyfile in rosidl_runtime_c and rosidl_runtime_cpp (#474 <https://github.com/ros2/rosidl/issues/474>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.9.0-1noble) noble; urgency=high

  * Rename message_bounds structure for consistency (#475 <https://github.com/ros2/rosidl/issues/475>)
  * Rename rosidl_runtime_c__String__bounds to singular (#476 <https://github.com/ros2/rosidl/issues/476>)
  * Document string structs and sequence functions (#466 <https://github.com/ros2/rosidl/issues/466>)
  * Export targets in addition to include directories / libraries (#465 <https://github.com/ros2/rosidl/issues/465>)
  * Rename rosidl_runtime_c_message_initialization to rosidl_runtime_c__message_initialization (#464 <https://github.com/ros2/rosidl/issues/464>)
  * Rename rosidl_generator_c 'namespace' to rosidl_runtime_c (#458 <https://github.com/ros2/rosidl/issues/458>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Apr 2020 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-rolling-rosidl-runtime-c (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Sep 2019 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.7.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.7.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.7.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.7.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 12 Apr 2019 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.6.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Feb 2019 06:00:00 -0000

ros-rolling-rosidl-runtime-c (0.6.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-rolling-rosidl-runtime-c (0.6.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-rolling-rosidl-runtime-c (0.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Nov 2018 06:00:00 -0000

ros-rolling-rosidl-runtime-c (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 23 Jun 2018 05:00:00 -0000

ros-rolling-rosidl-runtime-c (0.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000


